3

We have SharePoint 2013 on premises farm with two web severs and three app servers on windows server 2008 R2.

We required to install .NET Framework 4.6.2 on only web servers to be compatible with another component.

Are we required to install the same .NET Framework 4.6.2 on other application servers as well?

Do farm need same .NET version in all sharepoint servers?

2

No it is not necessary (although it may be beneficial from configuration point of view to have same baseline for all servers) SP2013 was build on .net 4.5 and this is required (with subsequent updates) to run SP2013. Other components like in your case may require higher level of .Net

Full list of requirement can be found here: https://docs.microsoft.com/en-us/sharepoint/install/hardware-and-software-requirements-0

  • Then why is .net 4.5 a prerequisite for SharePoint 2013? – Greg W Feb 12 at 11:21
  • @GregW you are correct. I wrote about SP2013 while thinking about 2010. I will correct my answer. – Marek Sarad Feb 12 at 11:40
  • We all do it. Both are required for install (and even more fun when 4.6 or 4.7 are installed and you’re initially blocked because the installer doesn’t recognise them as 4.5) – Greg W Feb 12 at 11:41

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.